<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1.0, shrink-to-fit=no">
    <link href="../static/images/favicon.png" rel="icon"/>
    <title>Admin Portal - Users</title>
    <meta name="description"
          content="This professional design html template is for build a Money Transfer and online payments website.">
    <meta name="author" content="harnishdesign.net">

    <!-- Web Fonts
    ============================================= -->
    <link rel='stylesheet'
          href='https://fonts.googleapis.com/css?family=Rubik:300,300i,400,400i,500,500i,700,700i,900,900i'
          type='text/css'>

    <!-- Stylesheet
    ============================================= -->
    <link rel="stylesheet" type="text/css" href="../static/vendor/bootstrap/css/bootstrap.min.css"
          th:href="@{/vendor/bootstrap/css/bootstrap.min.css}"/>
    <link rel="stylesheet" type="text/css" href="../static/vendor/font-awesome/css/all.min.css"
          th:href="@{/vendor/font-awesome/css/all.min.css}"/>
    <link rel="stylesheet" type="text/css" href="../static/vendor/owl.carousel/assets/owl.carousel.min.css"
          th:href="@{/vendor/owl.carousel/assets/owl.carousel.min.css}"/>
    <link rel="stylesheet" type="text/css" href="../static/css/stylesheet.css" th:href="@{/css/stylesheet.css}"/>
</head>
<body>

<!-- Document Wrapper
============================================= -->
<div id="main-wrapper">

    <!-- Header
    ============================================= -->
    <header id="header">
        <div class="container">
            <div class="header-row">
                <div class="header-column justify-content-start">
                    <!-- Logo
                    ============================= -->
                    <div class="logo"><a class="d-flex" href="index.html" th:href="@{/}"
                                         title="Virtual Wallet Logo"><img src="../static/images/wallet-logo.png"
                                                                          alt="Payyed"
                                                                          th:src="@{/images/wallet-logo.png}"/></a>
                    </div>
                    <!-- Logo end -->
                    <!-- Collapse Button
                    ============================== -->
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#header-nav">
                        <span></span> <span></span> <span></span></button><!-- Collapse Button end -->

                    <!-- Primary Navigation
                    ============================== -->
                    <div th:replace="fragments/navbar-and-footer :: navbar"></div>

                    <!-- Primary Navigation end -->
                </div>

                <div class="header-column justify-content-end">
                    <!-- Login & Signup Link
                    ============================== -->
                    <div th:replace="fragments/navbar-and-footer::login"></div>

                    <!-- Login & Signup Link end -->
                </div>
            </div>
        </div>
    </header>
    <!-- Header End -->

    <!-- Content
    ============================================= -->
    <div id="content" class="py-4">
        <div class="container">
            <div class="row">

                <!-- Left Panel
                ============================================= -->
                <aside class="col-lg-3">

                    <form enctype="multipart/form-data" class="form-horizontal" role="form" action="#">
                        <!--                          th:action="@{__${#httpServletRequest.requestURI}__}" th:object="${currentUser}" method="post">-->
                        <!-- Profile Details
                        =============================== -->
                        <div class="bg-light shadow-sm rounded text-center p-3 mb-4">
                            <div class="profile-thumb mt-3 mb-4">
                                <img class="rounded-circle img-fluid" th:src="@{${currentUser.getPhoto()}}" alt="">
                            </div>
                            <p class="text-3 font-weight-500 mb-2"
                               th:text="'Welcome Admin, ' + ${currentUser.getFullName()} + '!'"></p>
                        </div>
                    </form>
                    <!-- Profile Details End -->
                </aside>
                <!-- Left Panel End -->

                <!-- Middle Panel
                ============================================= -->

                <!-- Users -->

                <div class="col-lg-9">

                    <h2 class="font-weight-400 mb-3">Users</h2>

                    <!-- Filter
                    ============================================= -->
                    <div class="row">
                        <div class="col mb-2">
                            <form id="showAllUsers" method="post">
                                <!--                                <div class="form-row">-->
                                <!-- Search field
                                ========================= -->
                                <div class="row">
                                    <div class="col-md-8 col-lg-6 col-xl-6 mx-1">
                                        <form method="post" th:action="@{/admin-portal/users}" th:object="${userData}">
                                            <div class="input-group">
                                                <input type="text" class="form-control" id="filterAllUsers" required
                                                       placeholder="Phone number/username/email" th:field="*{info}">
                                                <button class="btn btn-primary px-4 shadow-none" type="submit">Search</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                                <!-- All Filters collapse
                                ================================ -->

<!--                                <br>-->
<!--                                <div class="col-md-8 col-lg-6 col-xl-8 mx-1">-->
<!--                                    <div class="custom-control custom-radio custom-control-inline">-->
<!--                                        <input type="radio" id="allUserTransactions" name="allFilters"-->
<!--                                               class="custom-control-input" checked>-->
<!--                                        <label class="custom-control-label" for="allUserTransactions">All-->
<!--                                            Users</label>-->
<!--                                    </div>-->
<!--                                    <div class="custom-control custom-radio custom-control-inline">-->
<!--                                        <input type="radio" id="phoneNumber" name="allFilters"-->
<!--                                               class="custom-control-input">-->
<!--                                        <label class="custom-control-label" for="phoneNumber">Phone number</label>-->
<!--                                    </div>-->
<!--                                    <div class="custom-control custom-radio custom-control-inline">-->
<!--                                        <input type="radio" id="username" name="allFilters"-->
<!--                                               class="custom-control-input">-->
<!--                                        <label class="custom-control-label" for="username">Username</label>-->
<!--                                    </div>-->
<!--                                    <div class="custom-control custom-radio custom-control-inline">-->
<!--                                        <input type="radio" id="email" name="allFilters" class="custom-control-input">-->
<!--                                        <label class="custom-control-label" for="email">Email</label>-->
<!--                                    </div>-->
<!--                                </div>-->
                                <!-- All Filters collapse End -->
                                <!--                                </div>-->
                            </form>
                        </div>
                    </div>

                    <!-- Filter End -->

                    <!-- All Users
                    ============================================= -->

                    <div class="bg-light shadow-sm rounded py-4 mb-4">
                        <h3 class="text-5 font-weight-400 d-flex align-items-center px-4 mb-3">All Users</h3>
                        <!-- Title
                        =============================== -->
                        <div class="transaction-title py-2 px-4">
                            <div class="row">
                                <div class="col-2 col-sm-1 text-center"><span class="">Photo</span></div>
                                <div class="col-3 col-sm-4 text-center">Full Name</div>
                                <div class="col-3 col-sm-3 text-center">Username</div>
                                <div class="col-auto col-sm-2 d-none d-sm-block text-center">Status</div>
                                <div class="col-auto col-sm-2 d-none d-sm-block text-center">Admin</div>
                            </div>
                        </div>

                        <!-- Title End -->

                        <!-- User List
                        =============================== -->

                        <!-- Photo, Full Name, isBlocked, isAdmin, username -->
                        <div class="transaction-list">
                            <div class="transaction-item px-4 py-3" data-toggle="modal"
                                 th:each="user:${users}"
                                 th:attr="data-target='#user-detail'+${user.getId()}">
                                <div class="row align-items-center flex-row">
                                    <div class="col-2 col-sm-1 text-center"><img class="rounded-circle img-fluid"
                                                                                 th:src="@{${user.getPhoto()}}"
                                                                                 alt="user image"></div>
                                    <div class="col-3 col-sm-4 text-center"><span class="d-block text-4"
                                                                                  th:text="${user.getFullName()}"></span>
                                    </div>
                                    <div class="col-3 col-sm-3 text-center text-4"><span
                                            th:text="${user.username}"></span></div>
                                    <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3">
                                        <span th:if="${user.isBlocked()}" class="text-danger" data-toggle="tooltip"
                                              data-original-title="Blocked"><i class="fas fa-times-circle"></i> </span>
                                        <span th:if="${!user.isBlocked()}" class="text-success"
                                              data-toggle="tooltip"
                                              data-original-title="Unblocked"><i
                                                class="fas fa-check-circle"></i> </span>
                                    </div>
                                    <div class="col-auto col-sm-2 d-none d-sm-block text-center text-3">
                                        <span th:if="${user.getUserRole().getRoleType().equals('admin')}"
                                              class="text-success" data-toggle="tooltip" data-original-title="Yes"><i
                                                class="fas fa-check-circle"></i> </span>
                                        <span th:if="${!user.getUserRole().getRoleType().equals('admin')}"
                                              class="text-danger" data-toggle="tooltip" data-original-title="No"><i
                                                class="fas fa-times-circle"></i> </span>
                                    </div>
                                </div>
                                <!-- User Item Details Modal
                    =========================================== -->
                                <div th:attr="id='user-detail'+${user.getId()}" class="modal fade" role="dialog"
                                     aria-hidden="true">
                                    <div class="modal-dialog modal-dialog-centered transaction-details"
                                         role="document">
                                        <div class="modal-content">
                                            <div class="modal-body">
                                                <div class="row no-gutters">
                                                    <!-- Left Padding for Photo -->
                                                    <div class="col-sm-5 d-flex justify-content-center bg-primary rounded-left py-4">
                                                        <div class="bg-primary rounded text-center p-3 mb-4 py-4">
                                                            <div class="profile-thumb  mt-3 mb-4">
                                                                <img class="text-17 text-white my-3 rounded-circle img-fluid"
                                                                     th:src="@{${user.getPhoto()}}" alt="">
<!--                                                                <img class="rounded-circle img-responsive"-->
                                                            </div>
                                                            <p class="text-5 font-weight-500 text-white mb-2"
                                                               th:text="${user.getFullName()}"></p>
                                                        </div>
                                                    </div>
                                                    <!-- End Left Padding for Photo -->
                                                    <div class="col-sm-7">
                                                        <h5 class="text-5 font-weight-400 m-3">User Details
                                                            <button type="button" class="close font-weight-400"
                                                                    data-dismiss="modal" aria-label="Close"><span
                                                                    aria-hidden="true">&times;</span></button>
                                                        </h5>
                                                        <hr>
                                                        <div class="px-3">
                                                            <ul class="list-unstyled">
                                                                <li class="font-weight-500">Full Name:</li>
                                                                <li class="text-muted"
                                                                    th:text="${user.getFullName()}"></li>
                                                            </ul>
                                                            <ul class="list-unstyled">
                                                                <li class="font-weight-500">Username:</li>
                                                                <li class="text-muted"
                                                                    th:text="${user.getUsername()}"></li>
                                                            </ul>
                                                            <ul class="list-unstyled">
                                                                <li class="font-weight-500">Email:</li>
                                                                <li class="text-muted"
                                                                    th:text="${user.getEmail()}"></li>
                                                            </ul>
                                                            <ul class="list-unstyled">
                                                                <li class="font-weight-500">Phone Number:</li>
                                                                <li class="text-muted"
                                                                    th:text="${user.getPhoneNumber()}"></li>
                                                            </ul>
                                                            <ul class="list-unstyled">
                                                                <li class="font-weight-500" th:unless="${user.isBlocked()}"> Status: Unblocked</li>
                                                                <li class="font-weight-500" th:if="${user.isBlocked()}"> Status: Blocked</li>
                                                                <form class="align-items-center h-auto ml-sm-3"
                                                                      method="post" action="#"
                                                                      th:action="@{/admin-portal/users/{userId}/block-unblock(userId=${user.getId()})}">
                                                                    <button type="submit" value="save"
                                                                            class="btn btn-primary btn-sm d-none d-sm-block"
                                                                            th:unless="${user.isBlocked()}">Block
                                                                    </button>
                                                                        <button type="submit" value="save"
                                                                            class="btn btn-primary btn-sm d-none d-sm-block"
                                                                            th:if="${user.isBlocked()}">Unblock
                                                                        </button>
                                                                </form>
                                                            </ul>

                                                            <ul class="list-unstyled">
                                                                <li class="font-weight-500" th:unless="${user.getUserRole().getRoleType().equals('admin')}"> Admin: No</li>
                                                                <li class="font-weight-500" th:if="${user.getUserRole().getRoleType().equals('admin')}"> Admin: Yes</li>
                                                                <form class="align-items-center h-auto ml-sm-3"
                                                                      method="post" action="#"
                                                                      th:action="@{/admin-portal/users/{userId}/change-role(userId=${user.getId()})}">
                                                                    <button type="submit" value="save"
                                                                            class="btn btn-primary btn-sm d-none d-sm-block"
                                                                            th:unless="${user.getUserRole().getRoleType().equals('admin')}">Make Admin
                                                                    </button>
                                                                    <button type="submit" value="save"
                                                                            class="btn btn-primary btn-sm d-none d-sm-block"
                                                                            th:if="${user.getUserRole().getRoleType().equals('admin')}">Remove Admin
                                                                    </button>
                                                                </form>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- User List End -->


                        <!-- User Item Details Modal End -->

                        <!-- User Pagination
                        ============================================= -->
                        <ul class="pagination justify-content-center mt-4 mb-0">
                            <li class="page-item active"><a class="page-link" href="#">1</a></li>
                        </ul>
                    </div>
                    <!-- User Pagination end -->
                </div>
                <!-- Middle End -->
            </div>
        </div>
    </div>
    <!-- Content end -->

    <!-- Footer
    ============================================= -->
    <div th:replace="fragments/navbar-and-footer::footer"></div>
    <!-- Footer end -->

</div>
</div>
<!-- Document Wrapper end -->

<!-- Back to Top
============================================= -->
<a id="back-to-top" data-toggle="tooltip" title="Back to Top" href="javascript:void(0)"><i class="fa fa-chevron-up"></i></a>

<!-- Script -->

<script src="../static/vendor/jquery/jquery.min.js" th:src="@{/vendor/jquery/jquery.min.js}"></script>
<script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../static/vendor/daterangepicker/moment.min.js" th:src="@{/vendor/daterangepicker/moment.min.js}"></script>
<script src="../static/vendor/daterangepicker/daterangepicker.js"
        th:src="@{/vendor/daterangepicker/daterangepicker.js}"></script>


<script src="../static/js/theme.js" th:src="@{/js/theme.js}"></script>
</body>
</html>